Subject: [mpls] IPR poll on draft-rekhter-mpls-pim-sm-over-mldp

From: Loa Andersson <[email-masked]>
Date: Wed, 21 Aug 2013 10:09:10 +0200

Working Group,

The authors of draft-rekhter-mpls-pim-sm-over-mldp has told the
working group chairs that the draft is ready to be adopted as a working
group document.

Before we start the mpls-rt review and the poll for adoption we will do
an IPR poll.

This mail starts that IPR poll.

Are you aware of any IPR that applies to draft-rekhter-mpls-pim-
sm-over-mldp?

If so, has this IPR been disclosed in compliance with IETF IPR rules
(see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as a document author or contributor please respond to
this email regardless of whether or not you are aware of any relevant
IPR. *The response needs to be sent to the MPLS wg mailing list.* The 
documents will not advance to the next stage until a response
has been received from each author and contributor.

If you are on the MPLS WG email list but are not listed as an author or
contributor, then please explicitly respond only if you are aware of any
IPR that has not yet been disclosed in conformance with IETF rules.

Thanks, Loa
(as MPLS WG co-chair)
-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: "IJsbrand Wijnands (iwijnand)" <[email-masked]>
Date: Wed, 21 Aug 2013 15:44:18 +0000

Dear WG,

Before deciding whether to accept draft-rekhter-mpls-pim-sm-over-mldp as a WG draft, we need to understand how it is positioned against several other drafts that address the same topic.

There are several other drafts that address the same topic, see draft-ietf-mpls-seamless-mcast-04, section 6.3. "PIM-SM in ASM mode for Global Table Multicast" and draft-zzhang-l3vpn-mvpn-global-table-mcast-00. These drafts provide full support for both the ASM and SSM modes of PIM, and also support the use of mLDP in the core.

Draft-rekhter-mpls-pim-sm-over-mldp augments the mldp-in-band signalling procedures so that they can be used in environments where dynamic multicast source discovery is required. It does this by adding back some of the MVPN BGP signalling, using a combination of BGP signalling and mLDP in-band signalling. The question is whether this is really useful. If BGP multicast signaling needs to be used anyway, why not just use the solution from the seamless-mcast or global-table-mcast drafts? What's the point of combining it with mLDP in-band signalling? The main advantage of using mLDP in-band signaling is that it doesn't require any additional multicast signalling protocols in the core. 

Before we accept draft-rekhter-mpls-pim-sm-over-mldp as a WG document we should determine whether there are any Service Providers who actually want to deploy the combination of mLDP in-band signalling and BGP multicast signalling.

Thx,

Ice.

On 21 Aug 2013, at 10:09, Loa Andersson <[email-masked]>
wrote:

> IPR. *The response needs to be sent to the MPLS wg mailing list.* The documents will not advance to the next stage until a response
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

---

From: Yakov Rekhter <[email-masked]>
Date: Fri, 23 Aug 2013 09:40:05 -0700

Loa,

> Are you aware of any IPR that applies to draft-rekhter-mpls-pim-

Yes.

> (see RFCs 3979, 4879, 3669 and 5378 for more details).

Yes.

> IPR that has not yet been disclosed in conformance with IETF rules.

Yakov.

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 26 Aug 2013 11:27:08 -0700

Loa,

> (see RFCs 3979, 4879, 3669 and 5378 for more details).

To clarify on my previous response to the question whether I am aware
of any IPR that applies to draft-rekhter-mpls-pim-sm-over-mldp,
all Juniper IPR disclosed for the underlying RFC 6514 applies to
this draft. 

Please instruct if IETF requires Juniper to amend those IPR disclosures
to specifically refer to this draft as well as the underlying RFC.

Yakov.

---

From: Loa Andersson <[email-masked]>
Date: Tue, 27 Aug 2013 11:32:39 +0200

Yakov,

I think such a statement from any IPR holder is necessary! This is true
also of the IPR *also* applies to another document and is earlier
disclosed in relation to that other document.

/Loa

--

---

From: Richard Li <[email-masked]>
Date: Tue, 27 Aug 2013 16:21:58 +0000

Not aware of any IPR that applies to this draft.

Thanks,

/RL

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: Wednesday, August 21, 2013 1:09 AM
To: [email-masked]; [email-masked]; VIGOUREUX, MARTIN (MARTIN); [email-masked]
Subject: [mpls] IPR poll on draft-rekhter-mpls-pim-sm-over-mldp

Working Group,

The authors of draft-rekhter-mpls-pim-sm-over-mldp has told the working group chairs that the draft is ready to be adopted as a working group document.

Before we start the mpls-rt review and the poll for adoption we will do an IPR poll.

Are you aware of any IPR that applies to draft-rekhter-mpls-pim- sm-over-mldp?

If so, has this IPR been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as a document author or contributor please respond to this email regardless of whether or not you are aware of any relevant IPR. *The response needs to be sent to the MPLS wg mailing list.* The documents will not advance to the next stage until a response has been received from each author and contributor.

If you are on the MPLS WG email list but are not listed as an author or contributor, then please explicitly respond only if you are aware of any IPR that has not yet been disclosed in conformance with IETF rules.

Thanks, Loa
(as MPLS WG co-chair)
--